# Determine Device Link Connection Price Determine costs of a Device Link Connection. For information on device linking, see [Device Link Groups](https://docs.equinix.com/network-edge/device-link/ne-device-link.md). ![](https://docs.equinix.com/assets/images/pricingConnectionChaingroup-5355ac387f39322dd6dd2b5d0fa43dcf.png) ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") 1. Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call the OAuth API to validate and authenticate your credentials. 2. Send a `GET` request to the [`fabric/v4/metros`](https://docs.equinix.com/api-catalog/fabricv4/metros/getmetros.md) endpoint to find all metros where Equinix Fabric is available and determine the device link location. ## Requesting Pricing Information for a Device Link Connection[​](#requesting-pricing-information-for-a-device-link-connection "Direct link to Requesting Pricing Information for a Device Link Connection") To get the pricing information for a Device Link Group, send a `POST` request to the [/fabric/v4/prices/search](https://docs.equinix.com/api-catalog/fabricv4/prices/searchprices.md) endpoint. Specify your pricing criteria in the body of the request. | | **POST /fabric/v4/prices/search** | | ---------------- | --------------------------------- | | Method | `POST` | | URL or Endpoint | `/fabric/v4/prices/search` | | Headers | `Authorization`, `Content-Type` | | Path Parameters | Not applicable | | Query Parameters | Not applicable | | Body Parameters | `filter` | Sample cURL Request: ``` curl -X POST 'https://api.equinix.com/fabric/v4/prices/search' -H 'content-type: application/json' -H 'authorization: Bearer ' -d '{     "filter": {         "and": [             {                 "property": "/type",                 "operator": "=",                 "values": [                     "VIRTUAL_CONNECTION_PRODUCT"                 ]             },             {                 "property": "/connection/type",                 "operator": "=",                 "values": [                     "VD_CHAIN_VC"                 ]             },             {                 "property": "/connection/bandwidth",                 "operator": "IN",                 "values": [                     50,                     1000                 ]             },             {                 "property": "/connection/aSide/accessPoint/type",                 "operator": "=",                 "values": [                     "VD"                 ]             },             {                 "property": "/connection/aSide/accessPoint/location/metroCode",                 "operator": "=",                 "values": [                     "CH"                 ]             },             {                 "property": "/connection/zSide/accessPoint/type",                 "operator": "=",                 "values": [                     "CHAINGROUP"                 ]             },             {                 "property": "/connection/zSide/accessPoint/bridge/package/code",                 "operator": "=",                 "values": [                     "GLOBAL"                 ]             }         ]     } }' ``` The parameters included in the request body are specific to this example. For a full list of parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/prices/searchprices.md). Sample Response: ``` { "data": [     {         "type": "VIRTUAL_CONNECTION_PRODUCT",         "code": "ECX00015.PROD",         "name": "Equinix Fabric Virtual Connection Product",         "description": "Equinix Fabric Virtual Connection",         "charges": [             {                 "type": "MONTHLY_RECURRING",                 "price": 500.0             }         ],         "currency": "USD",         "connection": {             "type": "VD_CHAIN_VC",             "bandwidth": 1000,             "aSide": {                 "accessPoint": {                     "type": "VD",                     "location": {                         "metroCode": "CH"                     }                 }             },             "zSide": {                 "accessPoint": {                     "type": "CHAINGROUP",                     "bridge": {                         "package": {                             "code": "GLOBAL"                         }                     }                 }             }         }     },     {         "type": "VIRTUAL_CONNECTION_PRODUCT",         "code": "ECX00015.PROD",         "name": "Equinix Fabric Virtual Connection Product",         "description": "Equinix Fabric Virtual Connection",         "charges": [             {                 "type": "MONTHLY_RECURRING",                 "price": 200.0             }         ],         "currency": "USD",         "connection": {             "type": "VD_CHAIN_VC",             "bandwidth": 50,             "aSide": {                 "accessPoint": {                     "type": "VD",                     "location": {                         "metroCode": "CH"                     }                 }             },             "zSide": {                 "accessPoint": {                     "type": "CHAINGROUP",                     "bridge": {                         "package": {                             "code": "GLOBAL"                         }                     }                 }             }         }     } ], "pagination": {     "offset": 0,     "limit": 2,     "total": 2 } } ``` Response payload includes configuration parameters defined in the request body. For a full list of possible parameters and their descriptions, see the [API Reference](https://docs.equinix.com/api-catalog/fabricv4/prices/searchprices.md).